from . import io, mesh, plugin, proximity, triangle, typed, utils
from ._version import __version__, __version_tuple__, version, version_tuple
from .io import (
    as_poly_data,
    as_trimesh,
    as_unstructured_grid,
    load_landmarks,
    load_poly_data,
    load_polygons,
    load_trimesh,
    load_unstructured_grid,
    save,
    save_landmarks,
    save_polygons,
)
from .plugin import annotate_landmarks, fast_wrapping, mesh_fix, tetwild
from .proximity import (
    Nearest,
    NearestPoint,
    NearestPointPrepared,
    NearestPrepared,
    NearestResult,
    nearest,
)

__all__ = [
    "Nearest",
    "NearestPoint",
    "NearestPointPrepared",
    "NearestPrepared",
    "NearestResult",
    "__version__",
    "__version_tuple__",
    "annotate_landmarks",
    "as_poly_data",
    "as_trimesh",
    "as_unstructured_grid",
    "fast_wrapping",
    "io",
    "load_landmarks",
    "load_poly_data",
    "load_polygons",
    "load_trimesh",
    "load_unstructured_grid",
    "mesh",
    "mesh_fix",
    "nearest",
    "plugin",
    "proximity",
    "save",
    "save_landmarks",
    "save_polygons",
    "tetwild",
    "triangle",
    "typed",
    "utils",
    "version",
    "version_tuple",
]
